Bug Hunting Session
Bug 46542 - SPELL The English word "usability" requires the indefinite article "a", not "an"
Summary: SPELL The English word "usability" requires the indefinite article "a", not "an"
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Linguistic (show other bugs)
Version:
(earliest affected)
3.5.0 release
Hardware: Other All
: medium minor
Assignee: László Németh
URL:
Whiteboard: target:3.7.0 target:3.6.2 target:3.5.7
Keywords:
Depends on:
Blocks:
 
Reported: 2012-02-23 15:10 UTC by Felix Möller
Modified: 2012-08-27 07:22 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Felix Möller 2012-02-23 15:10:14 UTC
http://cgit.freedesktop.org/libreoffice/lightproof/tree/src/en/en.dat

Should have addded "usability" to aA = set ( ...
Comment 1 Roman Eisele 2012-08-20 14:03:55 UTC
REPRODUCIBLE with LibreOffice 3.6.1.1 (Build ID: 4db6344) on MacOS X 10.6.8 (Intel): If I set the paragraph language to US English and type
  ... a usability ...
LibreOffice marks this as an error (blue wavy underline); if I type
  ... an usability ...
does not mark this as an error; but it should be the other way around.

So we need to add "usability" as an exception to
  http://cgit.freedesktop.org/libreoffice/lightproof/tree/src/en/en.dat
Comment 2 Roman Eisele 2012-08-20 14:11:53 UTC
Hello László Németh,

sorry for CCing your about a particular bug, but I am a LibreOffice QA volunteer and can’t find out which developer(s) are responsible for fixing particular problems in the Lightproof configuration/language files.

Can you please either fix this little issue (IMHO just adding an exception to
http://cgit.freedesktop.org/libreoffice/lightproof/tree/src/en/en.dat
should be enough) or tell me which developer(s) I should CC about this kind of problem?

Thank you very much in advance!
Comment 3 László Németh 2012-08-22 06:46:30 UTC
Thanks for your bug report. I will fix it soon.
Comment 4 Not Assigned 2012-08-24 12:59:44 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=28f07b24d9f0d971e4a50663cd0bdf52dd025fb5

restructured grammar checkers + small rule fixes: fdo#46542, fdo#46549, etc.
Comment 5 Roman Eisele 2012-08-24 13:57:50 UTC
(In reply to comment #4)
> Laszlo Nemeth committed a patch related to this issue.
> It has been pushed to "master":

@Laszlo:
Thank you very much for fixing this (and some other) issue(s)!
Comment 6 Not Assigned 2012-08-27 05:59:09 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=b81fb6f681395bbf73d0a47c10734f0fc0cc76cc&g=libreoffice-3-6

fdo#46542 word "usability" requires the indefinite article "a", not "an"


It will be available in LibreOffice 3.6.2.
Comment 7 Not Assigned 2012-08-27 06:04:58 UTC
Laszlo Nemeth committed a patch related to this issue.
It has been pushed to "libreoffice-3-5":

http://cgit.freedesktop.org/libreoffice/dictionaries/commit/?id=325923bbba3d2038ed95fd65eea79f93e98e936b&g=libreoffice-3-5

fdo#46542 word "usability" requires the indefinite article "a", not "an"


It will be available in LibreOffice 3.5.7.
Comment 8 László Németh 2012-08-27 07:22:57 UTC
@Roman: Thanks for your kind words! Thanks to András Tímár, these issues will be fixed in the next releases of the 3.5 and 3.6 branches, too.